db-derby-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kai-Uwe Beyer <...@ksile.de>
Subject Re: [Eclipse] Error starting derby network server
Date Wed, 08 Jun 2005 19:36:59 GMT
Hi Susan,

Susan Cline wrote:
>  
> org.apache.derby.ui.launch.SysInfoDerbyLaunchConfigurationDelegate
> org.apache.derby.ui.launch.IJDerbyLaunchConfigurationDelegate
> org.apache.derby.ui.launch.StopDerbyServerLaunchConfigurationDelegate
> org.apache.derby.ui.launch.StartDerbyServerLaunchConfigurationDelegate
>  
> to use the new Eclipse class, org.eclipse.jdt.launching.JavaLaunchDelegate.
>  
> So for instance, looking at the SysInfoDerbyLaunchConfigurationDelegate
> file, the fix is this:
>  
> package org.apache.derby.ui.launch;
>  
> //import 
> org.eclipse.jdt.internal.launching.JavaLocalApplicationLaunchConfigurationDelegate;
> import org.eclipse.jdt.launching.JavaLaunchDelegate
> 
> public class SysInfoDerbyLaunchConfigurationDelegate extends
>   //JavaLocalApplicationLaunchConfigurationDelegate {
>   JavaLaunchDelegate {
> }
>  
> For the other three files make the same change - comment out the 
> deprecated class,
> JavaLocalApplicationLaunchConfigurationDelegate, and use the new one, 
> JavaLaunchDelegate instead.
>  
> Does that make sense?


I understand this solution, but i doesn't have the source of ui package. 
I found only class files (compiled source) in the jar file, so i'm not 
able to build a new package (plugin).
Sorry for my bad english and my little java experience.

Kai



Mime
View raw message